Bug 532207 - /sbin/new-kernel-pkg and /sbin/mkinitrd errors from /sbin/scsi_id
Summary: /sbin/new-kernel-pkg and /sbin/mkinitrd errors from /sbin/scsi_id
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Brian Lane
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 726828
TreeView+ depends on / blocked
 
Reported: 2009-10-31 13:20 UTC by Ville Skyttä
Modified: 2012-02-21 05:33 UTC (History)
3 users (show)

Fixed In Version: mkinitrd-5.1.19.6-72
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-21 05:33:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
new-kernel-pkg output (119.33 KB, text/plain)
2011-07-26 16:32 UTC, Ville Skyttä
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0157 normal SHIPPED_LIVE mkinitrd bug fix update 2012-02-20 14:54:17 UTC

Description Ville Skyttä 2009-10-31 13:20:12 UTC
(This is on CentOS 5.4, but the affected packages are AFAIK identical in RHEL 5.4, so reporting it here.)

When updating to kernel 2.6.18-164.2.1.el5 I got the following error messages on console:

/sbin/scsi_id: option requires an argument -- s
/sbin/scsi_id: option requires an argument -- s

I suppose this is because new-kernel-pkg resolves the root device to e.g. "sda5" at least when finding it out from LABEL=/ mounts while nash-resolveDevice expects them in the form "/dev/sda5", returning nothing with the former and the empty string returned by it gets passed to scsi_id.  mkinitrd is 5.1.19.6-54, nash 5.1.19.6-54.

For this particular box this didn't seem to cause any problems, but I suppose it might for others.

I applied the patch from bug 503567 thinking it might be related, but it didn't make a difference.  I also hacked /sbin/mkinitrd's line 1412 from 'rootdevs="$rootdev"' to 'rootdevs="/dev/$rootdev"' and it got rid of the errors, but this probably isn't the right thing to do.

The output of "bash -x /sbin/new-kernel-pkg --package kernel --mkinitrd --depmod --install 2.6.18-164.2.1.el5 &>/tmp/nkp.txt" is attached.  This is a Dell PowerEdge 2850 box, using hardware RAID, LABEL based mounts in /etc/fstab.

Comment 2 Brian Lane 2011-07-25 17:59:50 UTC
Please add the attachment, it seems to have been lost.

Comment 3 Ville Skyttä 2011-07-26 16:32:10 UTC
Created attachment 515318 [details]
new-kernel-pkg output

Here goes.

The command to generate this was:
bash -x /sbin/new-kernel-pkg --package kernel --mkinitrd --depmod --install 2.6.18-238.19.1.el5 &>/tmp/nkp.txt

...and I hacked /sbin/new-kernel-pkg's mkinitrd() to call /sbin/mkinitrd with "bash -x" so that what it does is included in the file as well.

Comment 4 RHEL Program Management 2011-08-05 12:30:13 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 Jan Stodola 2012-01-18 12:08:58 UTC
[root@localhost ~]# rpm -q mkinitrd
mkinitrd-5.1.19.6-54
mkinitrd-5.1.19.6-54
[root@localhost ~]# rpm -ip kernel-2.6.18-194.el5.x86_64.rpm
warning: kernel-2.6.18-194.el5.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID 37017186
/sbin/scsi_id: option requires an argument -- s
/sbin/scsi_id: option requires an argument -- s
[root@localhost ~]# rpm -e kernel-2.6.18-194.el5
[root@localhost ~]# yum update mkinitrd
.
.
.
[root@localhost ~]# rpm -q mkinitrd
mkinitrd-5.1.19.6-75.el5
mkinitrd-5.1.19.6-75.el5
[root@localhost ~]# rpm -ip kernel-2.6.18-194.el5.x86_64.rpm
warning: kernel-2.6.18-194.el5.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID 37017186
[root@localhost ~]#


Moving to VERIFIED.

Comment 8 errata-xmlrpc 2012-02-21 05:33:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0157.html


Note You need to log in before you can comment on or make changes to this bug.